Bug 1123163 - Documents with invalid paths do not allow navigation to languages in Documents tab
Summary: Documents with invalid paths do not allow navigation to languages in Document...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI
Version: 3.4
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: ---
Assignee: Carlos Munoz
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks: 1098362
TreeView+ depends on / blocked
 
Reported: 2014-07-25 04:00 UTC by Damian Jansen
Modified: 2015-07-31 01:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-31 01:44:05 UTC


Attachments (Terms of Use)

Description Damian Jansen 2014-07-25 04:00:05 UTC
Description of problem:
If a document is uploaded with a specified path, it cannot be opened via the Documents tab in a project version

Version-Release number of selected component (if applicable):
3.4

How reproducible:
Easy always

Steps to Reproduce:
1. Sign in as admin
2. Go to a Project Version, go to Settings, go to Documents
3. Press the +, Upload a document specifying a path for the document
4. Click on the Documents tab, then click on the newly added document

Actual results:
The languages do not show up in the right hand pane

Expected results:
List of languages should show

Additional info:

Comment 1 Damian Jansen 2014-08-06 02:06:42 UTC
The path has to invalid url characters, eg. c:\users\name etc, and the languages tab / web editor will not load correctly or at all.

Comment 2 David Mason 2014-08-27 01:46:22 UTC
Required steps to fix:

1. Disallow addition of paths that can escape the project directory (.., etc.)
2. Ensure there is a test that will fail if we accidentally allow addition of these paths again.
3. Migrate existing paths that fit the above pattern that are in the database.
4. Encode paths in URLs.

Comment 3 David Mason 2014-08-27 01:49:08 UTC
The more robust solution to this is to remove the ability for users to enter a path when uploading files, and instead allow users to create folders in their project as a separate operation, and upload files into the folders.

Folder creation would be a separate step and would enforce sensible folder names.

Comment 4 Zanata Migrator 2015-07-31 01:44:05 UTC
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-520


Note You need to log in before you can comment on or make changes to this bug.